Altibase.jdbc.driver

## Class AltibaseFailoverServerInfoList

- java.lang.Object
- - Altibase.jdbc.driver.AltibaseFailoverServerInfoList

    public final class AltibaseFailoverServerInfoList
    extends java.lang.Object

AltibaseFailoverServerInfo의 리스트를 포함하고 있는 클래스.

### Constructor Summary

Constructors
Constructor and Description
`AltibaseFailoverServerInfoList()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(int aIndex, Altibase.jdbc.driver.AltibaseFailoverServerInfo aServerInfo)`
`void` `add(int aIndex, java.lang.String aServer, int aPort, java.lang.String aDbName)`
`boolean` `add(java.lang.String aServer, int aPort, java.lang.String aDbName)`
`java.util.List<Altibase.jdbc.driver.AltibaseFailoverServerInfo>` `getList()`
`void` `set(int aIndex, Altibase.jdbc.driver.AltibaseFailoverServerInfo aServerInfo)`
`int` `size()`
`java.lang.String` `toString()` alternate servers string 형태의 문자열로 변환한다.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AltibaseFailoverServerInfoList

    public AltibaseFailoverServerInfoList()

### Method Detail

#### toString

    public java.lang.String toString()

alternate servers string 형태의 문자열로 변환한다.

Overrides:
  `toString` in class `java.lang.Object`

#### add

    public boolean add(java.lang.String aServer,
                       int aPort,
                       java.lang.String aDbName)

#### add

    public void add(int aIndex,
                    java.lang.String aServer,
                    int aPort,
                    java.lang.String aDbName)

#### getList

    public java.util.List<Altibase.jdbc.driver.AltibaseFailoverServerInfo> getList()

#### size

    public int size()

#### add

    public void add(int aIndex,
                    Altibase.jdbc.driver.AltibaseFailoverServerInfo aServerInfo)

#### set

    public void set(int aIndex,
                    Altibase.jdbc.driver.AltibaseFailoverServerInfo aServerInfo)